Package org.spongepowered.asm.util

## Class Bytecode.DelegateInitialiser

- java.lang.Object
- - org.spongepowered.asm.util.Bytecode.DelegateInitialiser

- Enclosing class:
    Bytecode

      public static class Bytecode.DelegateInitialiser
      extends java.lang.Object

  Information bundle returned from `Bytecode.findDelegateInit(org.objectweb.asm.tree.MethodNode, java.lang.String, java.lang.String)`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `org.objectweb.asm.tree.MethodInsnNode` | `insn` | Constructor invocation
    `boolean` | `isPresent` | True if the invocation is found, false if no delegate constructor was found (false for DelegateInitialiser.NONE)
    `boolean` | `isSuper` | True if the invocation is a super call, false if it's a call to another ctor in the same class
    `static Bytecode.DelegateInitialiser` | `NONE` | No delegate initialiser found

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NONE

          public static final Bytecode.DelegateInitialiser NONE

      No delegate initialiser found

    - #### insn

          public final org.objectweb.asm.tree.MethodInsnNode insn

      Constructor invocation

    - #### isSuper

          public final boolean isSuper

      True if the invocation is a super call, false if it's a call to another ctor in the same class

    - #### isPresent

          public final boolean isPresent

      True if the invocation is found, false if no delegate constructor was found (false for DelegateInitialiser.NONE)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`